Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.cpd
Class RubyLanguage

    java.lang.Object
      net.sourceforge.pmd.cpd.RubyLanguage

All Implemented Interfaces:
  Language

public class RubyLanguage
extends java.lang.Object
implements Language

Nested Class Summary
`static class` | `RubyLanguage.RubyFileOrDirectoryFilter`

Constructor Summary
`RubyLanguage()`

Method Summary
`java.io.FilenameFilter` | `getFileFilter()`
`Tokenizer` | `getTokenizer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RubyLanguage

    public RubyLanguage()

Method Detail

### getTokenizer

    public Tokenizer getTokenizer()

  Specified by:
    `getTokenizer` in interface `Language`

### getFileFilter

    public java.io.FilenameFilter getFileFilter()

  Specified by:
    `getFileFilter` in interface `Language`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.